Bug 2085490 - Discovery and bootdisk templates don't get description populated from metadata [NEEDINFO]
Summary: Discovery and bootdisk templates don't get description populated from metadata
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning Templates
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.12.0
Assignee: nalfassi
QA Contact: sganar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-05-13 13:36 UTC by Griffin Sullivan
Modified: 2022-09-08 09:33 UTC (History)
4 users (show)

Fixed In Version: foreman_discovery-21.0.2, foreman_bootdisk-19.0.6,foreman-3.3.0.4-1,foreman-3.3.0.7-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:
nalfassi: needinfo? (zhunting)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 35127 0 Normal New Migrate discovery and bootdisk templates to Foreman 2022-06-29 12:24:38 UTC
Foreman Issue Tracker 35282 0 Normal Ready For Testing Bootdisk templates don't get description populated from metadata 2022-07-27 08:51:01 UTC
Foreman Issue Tracker 35283 0 Normal Ready For Testing Discovery templates don't get description populated from metadata 2022-07-27 08:51:01 UTC
Red Hat Issue Tracker SAT-12377 0 None None None 2022-08-22 19:14:54 UTC

Description Griffin Sullivan 2022-05-13 13:36:50 UTC
Description of problem:
When looking at Discovery and bootdisk templates in the edit page you can see the description in the editor as metadata. However, these are not populated to the "Description" text field.

Version-Release number of selected component (if applicable):
6.11

How reproducible:
100%

Steps to Reproduce:
1. Go to Hosts > Provisioning Templates > Discovery Red Hat kexec

Actual results:
Description can be seen as metadata in the editor, but the description field is left empty.

Expected results:
Description is also under the description text area.

Comment 2 Leos Stejskal 2022-06-29 12:24:37 UTC
Created redmine issue https://projects.theforeman.org/issues/35127 from this bug

Comment 4 Bryan Kearney 2022-07-26 12:04:40 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/35127 has been resolved.

Comment 6 Bryan Kearney 2022-07-26 16:04:50 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/35127 has been resolved.

Comment 7 nalfassi 2022-07-27 06:40:01 UTC
The fix in https://projects.theforeman.org/issues/35127 is intended for Satellite 6.13, and I think cherry-picking it would be too risky. For 6.12 - I came up with a simpler solution, which will be fixed in https://projects.theforeman.org/issues/35282, https://projects.theforeman.org/issues/35283.

Comment 8 Bryan Kearney 2022-07-27 08:04:48 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/35127 has been resolved.

Comment 9 Ron Lavi 2022-08-08 18:58:47 UTC
Both plugins' gems are released with Nofar's fixes:
-foreman_discovery-21.0.2
-foreman_bootdisk-19.0.6

Moving to POST

Comment 12 sganar 2022-09-08 09:33:41 UTC
Verified.

Tested on Satellite 6.12.0 Snap 10.0

Steps followed: 
1. Go to Hosts > Provisioning Templates > Discovery Red Hat kexec

Observation: 
Description is populated in the description text field.


Note You need to log in before you can comment on or make changes to this bug.